<?php

$db_config['db_driver']   = 'db';	              //db,adodb,mdb
$db_config['db_type']     = 'mysql';                  //mysql,mssql,oracle
$db_config['db_host']     = '[cmsware_db_host]';      //數據庫主機	
$db_config['db_user']     = '[cmsware_db_user]';      //數據庫用戶名	
$db_config['db_password'] = '[cmsware_db_password]';  //數據庫用戶密碼	
$db_config['db_name']     = '[cmsware_db_name]';      //數據庫名		
$db_config['table_pre']   = '[cmsware_db_table_pre]'; //CMS表名前綴	
$db_config['db_charset']   = '[cmsware_db_charset]'; //數據庫字符集 latin1,utf8,utf8...

$SYS_CONFIG['enable_validcode'] = [enable_validcode]; //是否開啟登陸圖形驗證碼. 1-開啟,0-關閉
$SYS_CONFIG['language'] = 'utf8-tw'; //系統語言
$SYS_CONFIG['ftp_mode'] = [ftp_mode] ; //系統運行在FTP模式,1-是,0-否
$SYS_CONFIG['ftp_host'] = '[ftp_host]'; //FTP主機地址
$SYS_CONFIG['ftp_port'] = '[ftp_port]'; //FTP服務器端口
$SYS_CONFIG['ftp_username'] = '[ftp_username]'; //FTP用戶名
$SYS_CONFIG['ftp_password'] = '[ftp_password]'; //FTP密碼
$SYS_CONFIG['ftp_cms_admin_path'] = '[ftp_cms_admin_path]'; //CMS管理目錄相對FTP根目錄的路徑 

$SYS_CONFIG['dir_mode'] = 0777; //系統創建目錄的默認權限
$SYS_CONFIG['file_mode'] = 0777; //系統創建文件的默認權限
$SYS_CONFIG['error_reporting'] = "file"; //系統報錯模式 file,html,js
$SYS_CONFIG['tpl_error_display'] = true; //是否在最終頁面顯示報錯信息 true, false
$SYS_CONFIG['admin_dir_name'] = "admin"; //管理入口目錄名

//--------------------------------以下部分請不要修改--------------------------//

$db_config['table_content_pre']     = 'content';	
$db_config['table_contribution_pre']     = 'contribution';	
$db_config['table_collection_pre']     = 'collection';	
$db_config['table_publish_pre']     = 'publish';
$lang_user = 'lang_user';
$lang_admin = 'lang_admin';
$SYS_DEBUG = true;
class table {
	var $sys;
	var $user;
	var $group;
	var $admin_sessions;
	var $sessions;

	var $site;
	var $cate;
	var $content_fields;
	var $content_index;
	var $content_table;
 	var $psn;
 	var $resource;
	var $publish_log;

	var $collection_cate;
	var $collection_rules;
	var $tasks;
 	var $contribution;
	var $resource_ref;
	var $workflow;
	var $workflow_state;
	var $workflow_record ;
	var $log_admin;
	var $log_login ;
	var $block_ip;
	var $contribution_note;
	
  	var $keywords;
	var $pubadminmasks;
 	var $plugins;
	var $tpl_vars;
 	var $tpl_cate;
 	var $tpl_data;

	function table()
	{
		global $db_config;

		$this->sys = $db_config['table_pre'].'sys';
		$this->user = $db_config['table_pre'].'user';
		$this->group = $db_config['table_pre'].'group';	
		$this->admin_sessions = $db_config['table_pre'].'admin_sessions';
		$this->sessions = $db_config['table_pre'].'sessions';

		$this->site = $db_config['table_pre'].'site';
		$this->content_fields = $db_config['table_pre'].'content_fields';
		$this->content_index = $db_config['table_pre'].'content_index';
		$this->content_table = $db_config['table_pre'].'content_table';
		$this->psn = $db_config['table_pre'].'psn';
		$this->resource = $db_config['table_pre'].'resource';
		$this->publish_log = $db_config['table_pre'].'publish_log';

		$this->collection_cate = $db_config['table_pre'].'collection_category';
		$this->collection_rules = $db_config['table_pre'].'collection_rules';
		$this->tasks = $db_config['table_pre'].'tasks';
		$this->cate = $db_config['table_pre'].'category';
		$this->contribution = $db_config['table_pre'].'contribution';
		$this->contribution_note = $db_config['table_pre'].'contribution_note';
 

		$this->keywords = $db_config['table_pre'].'keywords';
		$this->pubadminmasks = $db_config['table_pre'].'pubadminmasks';
		$this->plugins = $db_config['table_pre'].'plugins';
		$this->tpl_vars = $db_config['table_pre'].'tpl_vars';
		$this->resource_ref = $db_config['table_pre'].'resource_ref';
		
		$this->workflow = $db_config['table_pre'].'workflow';
		$this->workflow_state = $db_config['table_pre'].'workflow_state';
		$this->workflow_record = $db_config['table_pre'].'workflow_record';
		
		$this->log_login = $db_config['table_pre'].'log_login';
		$this->log_admin = $db_config['table_pre'].'log_admin';
		$this->block_ip = $db_config['table_pre'].'block_ip';
	
		$this->tpl_cate  = $db_config['table_pre'].'tpl_cate';
		$this->tpl_data = $db_config['table_pre'].'tpl_data';
		$this->tpl_block = $db_config['table_pre'].'tpl_block';

		$this->extra_publish = $db_config['table_pre'].'extra_publish';
		$this->node_fields = $db_config['table_pre'].'node_fields';


	}


}

$table=new table();

define("TPL_Error_Display", $SYS_CONFIG['tpl_error_display']);
define("ADMIN_NAME", $SYS_CONFIG['admin_dir_name']);

?>